glib

From AIXTOOLS
Jump to: navigation, search

Packages|GNOME|aixtools.glib.2.43.3.0.aix537.I

MD5 Checksums

4402CF77BA0DE2AC52CD47A5BA149CCD aixtools.glib.2.43.3.0.aix537.I

Finally, I got this to compile, but only when using gcc. This has a very sad side-effect of requiring libgcc.a and any compareable libraries whenever a program links against it.

In short, it can be compiled - but the GNOME's projects insistence that since it can be compiled against gcc - it is portable - without considering what additional requirements gcc may place on a system when it is not the native compiler runt-time environment.

Plans

Will try IBM C++ compiler - this may have the additional compiler feature needed so that it can be compiled (and more importantly linked to) without the need for libgcc.a

Personal tools
Namespaces

Variants
Actions
Navigation
Downloads
Toolbox